> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# List available AI models

> Returns the caller's provider-grouped models from the current reviewed catalog release, including exact capability and language support



## OpenAPI

````yaml /api-reference/openapi.json get /v1/convai/models
openapi: 3.1.0
info:
  title: Threetone API
  description: >-
    APIs for the Threetone Agents Platform and shared workspace resources.
    Authenticate programmatic requests with an API key in the x-api-key header.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/models:
    get:
      tags:
        - Agents Platform
      summary: List available AI models
      description: >-
        Returns the caller's provider-grouped models from the current reviewed
        catalog release, including exact capability and language support
      operationId: list_ai_models
      parameters:
        - name: family
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/ModelFamily'
              - type: 'null'
            description: Filter by model family.
            title: Family
          description: Filter by model family.
        - name: include_deprecated
          in: query
          required: false
          schema:
            type: boolean
            description: Include deprecated models still available to existing agents.
            default: false
            title: Include Deprecated
          description: Include deprecated models still available to existing agents.
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelCatalogResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ModelFamily:
      type: string
      enum:
        - llm
        - asr
        - tts
      title: ModelFamily
    ModelCatalogResponse:
      properties:
        catalog_release_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Release Id
        published_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Published At
        providers:
          items:
            $ref: '#/components/schemas/ModelCatalogProvider'
          type: array
          title: Providers
      additionalProperties: false
      type: object
      required:
        - catalog_release_id
        - published_at
        - providers
      title: ModelCatalogResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ModelCatalogProvider:
      properties:
        provider_key:
          type: string
          minLength: 1
          title: Provider Key
        name:
          type: string
          minLength: 1
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        models:
          items:
            $ref: '#/components/schemas/ModelCatalogModel'
          type: array
          minItems: 1
          title: Models
      additionalProperties: false
      type: object
      required:
        - provider_key
        - name
        - models
      title: ModelCatalogProvider
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ModelCatalogModel:
      properties:
        model_id:
          type: string
          maxLength: 128
          minLength: 1
          pattern: ^[a-z0-9][a-z0-9._:-]*$
          title: Model Id
        family:
          $ref: '#/components/schemas/ModelFamily'
        name:
          type: string
          minLength: 1
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        lifecycle:
          $ref: '#/components/schemas/CatalogLifecycle'
        variants:
          items:
            $ref: '#/components/schemas/ModelCatalogVariant'
          type: array
          minItems: 1
          title: Variants
      additionalProperties: false
      type: object
      required:
        - model_id
        - family
        - name
        - lifecycle
        - variants
      title: ModelCatalogModel
    CatalogLifecycle:
      type: string
      enum:
        - active
        - deprecated
        - retired
      title: CatalogLifecycle
    ModelCatalogVariant:
      properties:
        variant_id:
          type: string
          minLength: 1
          title: Variant Id
        release_id:
          type: string
          minLength: 1
          title: Release Id
        parameter_schema_id:
          type: string
          maxLength: 128
          minLength: 1
          pattern: ^[a-z][a-z0-9_]*_v[1-9][0-9]*$
          title: Parameter Schema Id
        capabilities:
          oneOf:
            - $ref: '#/components/schemas/ASRModelCapabilities'
            - $ref: '#/components/schemas/TTSModelCapabilities'
            - $ref: '#/components/schemas/LLMModelCapabilities'
          title: Capabilities
          discriminator:
            propertyName: family
            mapping:
              asr:
                $ref: '#/components/schemas/ASRModelCapabilities'
              llm:
                $ref: '#/components/schemas/LLMModelCapabilities'
              tts:
                $ref: '#/components/schemas/TTSModelCapabilities'
        languages:
          items:
            $ref: '#/components/schemas/ModelLanguageSupport'
          type: array
          title: Languages
        availability:
          $ref: '#/components/schemas/ModelAvailability'
        is_default:
          type: boolean
          title: Is Default
      additionalProperties: false
      type: object
      required:
        - variant_id
        - release_id
        - parameter_schema_id
        - capabilities
        - languages
        - availability
        - is_default
      title: ModelCatalogVariant
    ASRModelCapabilities:
      properties:
        family:
          type: string
          const: asr
          title: Family
          default: asr
        recognition_modes:
          items:
            $ref: '#/components/schemas/SpeechLanguageMode'
          type: array
          minItems: 1
          title: Recognition Modes
        supports_keyterms:
          type: boolean
          title: Supports Keyterms
        max_keyterms:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Max Keyterms
        max_keyterm_length:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Max Keyterm Length
        supports_word_timestamps:
          type: boolean
          title: Supports Word Timestamps
        supports_code_switching:
          type: boolean
          title: Supports Code Switching
        supports_mid_session_language_switching:
          type: boolean
          title: Supports Mid Session Language Switching
        supports_language_hints:
          type: boolean
          title: Supports Language Hints
        supports_endpointing_controls:
          type: boolean
          title: Supports Endpointing Controls
        max_candidate_languages:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Max Candidate Languages
      additionalProperties: false
      type: object
      required:
        - recognition_modes
        - supports_keyterms
        - supports_word_timestamps
        - supports_code_switching
        - supports_mid_session_language_switching
        - supports_language_hints
        - supports_endpointing_controls
      title: ASRModelCapabilities
    TTSModelCapabilities:
      properties:
        family:
          type: string
          const: tts
          title: Family
          default: tts
        supports_streaming:
          type: boolean
          title: Supports Streaming
        supports_pronunciation_dictionaries:
          type: boolean
          title: Supports Pronunciation Dictionaries
        supports_phoneme_tags:
          type: boolean
          title: Supports Phoneme Tags
        supports_expressive_audio_tags:
          type: boolean
          title: Supports Expressive Audio Tags
        voice_selection:
          type: string
          const: curated
          title: Voice Selection
          default: curated
      additionalProperties: false
      type: object
      required:
        - supports_streaming
        - supports_pronunciation_dictionaries
        - supports_phoneme_tags
        - supports_expressive_audio_tags
      title: TTSModelCapabilities
    LLMModelCapabilities:
      properties:
        family:
          type: string
          const: llm
          title: Family
          default: llm
        max_context_tokens:
          type: integer
          exclusiveMinimum: 0
          title: Max Context Tokens
        max_output_tokens:
          type: integer
          exclusiveMinimum: 0
          title: Max Output Tokens
        supports_image_input:
          type: boolean
          title: Supports Image Input
        supports_document_input:
          type: boolean
          title: Supports Document Input
        supports_tool_calls:
          type: boolean
          title: Supports Tool Calls
        supports_parallel_tool_calls:
          type: boolean
          title: Supports Parallel Tool Calls
        available_reasoning_efforts:
          anyOf:
            - items:
                $ref: '#/components/schemas/LLMReasoningEffort'
              type: array
            - type: 'null'
          title: Available Reasoning Efforts
      additionalProperties: false
      type: object
      required:
        - max_context_tokens
        - max_output_tokens
        - supports_image_input
        - supports_document_input
        - supports_tool_calls
        - supports_parallel_tool_calls
      title: LLMModelCapabilities
    ModelLanguageSupport:
      properties:
        language_tag:
          type: string
          minLength: 2
          pattern: ^[a-z]{2,8}(-[a-z0-9]{1,8})*$
          title: Language Tag
          description: Normalized lowercase BCP 47 language tag.
        display_name:
          type: string
          minLength: 1
          title: Display Name
        native_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Native Name
        text_direction:
          type: string
          enum:
            - ltr
            - rtl
          title: Text Direction
        mode:
          $ref: '#/components/schemas/SpeechLanguageMode'
        support_level:
          $ref: '#/components/schemas/LanguageSupportLevel'
      additionalProperties: false
      type: object
      required:
        - language_tag
        - display_name
        - text_direction
        - mode
        - support_level
      title: ModelLanguageSupport
    ModelAvailability:
      properties:
        selectable:
          type: boolean
          title: Selectable
        reason_code:
          anyOf:
            - type: string
              pattern: ^[a-z][a-z0-9_]*$
            - type: 'null'
          title: Reason Code
      additionalProperties: false
      type: object
      required:
        - selectable
      title: ModelAvailability
    SpeechLanguageMode:
      type: string
      enum:
        - fixed
        - automatic_agent_languages
        - automatic_provider_languages
        - synthesis
      title: SpeechLanguageMode
    LLMReasoningEffort:
      type: string
      enum:
        - none
        - minimal
        - low
        - medium
        - high
        - xhigh
        - max
      title: LLMReasoningEffort
    LanguageSupportLevel:
      type: string
      enum:
        - supported
        - recommended
        - experimental
      title: LanguageSupportLevel

````